function fn_xaen_pdiario_insertar_listar(op) {
	if($('#cbo_xen option:selected').val()==0&&op==2){
		swal('Alerta!','Debe seleccionar un Examen.','warning');
		return false;
	}
	var url 	= ruta + 'movimientos/xaen/insertar_listar_cart';
	if($('#txt_id').val()>0)
		url 	= ruta + 'movimientos/xaen/insertar_listar';
	$('#xaen_data').DataTable().destroy();
	swal({
		title 	: 'Alerta!',
		html 	: 'Cargando...',
		onOpen 	: function () {
			swal.showLoading();
			$.ajax({
				url 	: url,
				data 	: {
					d1 	: $('#txt_id').val(),
					d2 	: $('#cbo_xen option:selected').val(),
					d3 	: $('#cbo_xen option:selected').text(),
					d4 	: $('#txt_indicacione').val()
				},
				type 	: 'post',
				dataType: 'json',
				success : function (data) {
					$('#xaen_data tbody').html(data[0]);
					$('#xaen_data').DataTable({
    		            "searching"     : false,
    		            "scrollY"       : ($(window).height() - 435) + "px",
    		            "scrollCollapse": true,
    		            "paging"        : false,
    		            "language"		: {
    		            	"url" 			: ruta + 'json/Spanish.json'
    		            }
					});
					$('#cbo_xen').val(0).change().focus();
					$('#txt_indicacion2').val('');
					swal.close();
				}
			});
		}
	});
}

/*function fn_xaen_pdiario_listar() {
	var url 	= ruta + 'movimientos/xaen/listar_cart';
	if($('#txt_id').val()>0)
		url 	= ruta + 'movimientos/xaen/listar';
	swal({
		title 	: 'Alerta!',
		html 	: 'Cargando...',
		onOpen 	: function () {
			swal.showLoading();
			$.ajax({
				url 	: url,
				data 	: {
					d1 	: $('#txt_id').val()
				},
				type 	: 'post',
				dataType: 'json',
				success : function (data) {
					$('#xaen_data').DataTable().destroy();
					$('#xaen_data tbody').html(data[0]);
					$('#xaen_data').DataTable({
    		            "searching"     : false,
    		            "scrollY"       : ($(window).height() - 435) + "px",
    		            "scrollCollapse": true,
    		            "paging"        : false,
    		            "language"		: {
    		            	"url" 			: ruta + 'json/Spanish.json'
    		            }
					});
					swal.close();
				}
			});
		}
	});
}

function fn_xaen_insertar() {
	if($('#cbo_xen option:selected').val()==0){
		swal('Alerta!','Debe seleccionar un Examen.','warning');
		return false;
	}
	var url 	= ruta + 'movimientos/xaen/insertar_cart';
	if($('#txt_id').val()>0)
		url 	= ruta + 'movimientos/xaen/insertar';
	swal({
		title 					: 'Ingrese Indicaciones!',
		html 					: 
			'<textarea id="txt_indicacion" name="txt_indicacion" class="form-control" placeholder="Indicaciones"></textarea>',
		type 					: 'info',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-floppy-trash"></span> <b>Aceptar!</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
  		showLoaderOnConfirm 	: true,
  		onOpen 					: function () {
  			$('#txt_cantidad').focus();
  		},
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				$.post(url, {
					d1 	: $('#cbo_xen option:selected').val(),
					d2 	: $('#txt_id').val(),
					d3 	: $('#txt_indicacion').val(),
					d4 	: $('#cbo_xen option:selected').text()
				}, function (data) {
					fn_xaen_pdiario_listar();
					$('#cbo_xen').val(0).change();
					swal.close();
				});
			});
		}
	});
}*/

function fn_xaen_eliminar(d1, d2) {
	var url 	= ruta + 'movimientos/xaen/eliminar_cart';
	if($('#txt_id').val()>0)
		url 	= ruta + 'movimientos/xaen/eliminar';
	swal({
		title 					: 'Alerta!',
		html 					: 'Medicamento: ' + d2 + '<br>Desea eliminar?',
		type 					: 'question',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-floppy-trash"></span> <b>Si, Borrar!</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				$.post(url, {
					d1 	: d1
				}, function (data) {
					resolve();
				});
			});
		},
		allowOutsideClick: false
	}).then(function () {
		swal({
			title 	: 'Alerta!',
			html 	: 'Medicamento eliminado correctamente.',
			type 	: 'success',
			confirmButtonText 		: '<span class="glyphicon glyphicon-ok"></span> <b>Si, Grabar!</b>',
				confirmButtonClass 		: 'btn btn-primary',
				allowOutsideClick 		: false,
    		allowEscapeKey 			: false,
				buttonsStyling 			: false,
    	}).then(function () {
    		fn_xaen_pdiario_insertar_listar(1);
    	});
	});
}